<?php

namespace ThemesflatAddons\i18n;

use WPML_Elementor_Module_With_Items;

if (class_exists('WPML_Elementor_Module_With_Items')) {
    /**
     * Class TFL_WPML_Odometers
     */
    class TFL_WPML_Odometers extends WPML_Elementor_Module_With_Items {

        /**
         * @return string
         */
        public function get_items_field() {
            return 'odometers';
        }

        /**
         * @return array
         */
        public function get_fields() {
            return array('stats_title', 'prefix', 'suffix');
        }

        /**
         * @param string $field
         *
         * @return string
         */
        protected function get_title($field) {
            switch ($field) {
                case 'stats_title':
                    return esc_html__('Odometer: Title', 'themesflat');

                case 'prefix':
                    return esc_html__('Odometer: Prefix', 'themesflat');

                case 'suffix':
                    return esc_html__('Odometer: Suffix', 'themesflat');

                default:
                    return '';
            }
        }

        /**
         * @param string $field
         *
         * @return string
         */
        protected function get_editor_type($field) {
            switch ($field) {
                case 'stats_title':
                case 'prefix':
                case 'suffix':
                    return 'LINE';

                default:
                    return '';
            }
        }

    }

}